summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/releng/testapi-automate.yml10
-rwxr-xr-xutils/jenkins-jnlp-connect.sh46
2 files changed, 29 insertions, 27 deletions
diff --git a/jjb/releng/testapi-automate.yml b/jjb/releng/testapi-automate.yml
index ad4623ff4..d96c5cdc3 100644
--- a/jjb/releng/testapi-automate.yml
+++ b/jjb/releng/testapi-automate.yml
@@ -1,19 +1,21 @@
- project:
name: testapi-automate
-
- project: 'releng'
-
stream:
- master:
branch: '{stream}'
-
+ gs-pathname: ''
jobs:
- 'testapi-automate-{stream}'
+ project: 'releng'
- job-template:
name: 'testapi-automate-{stream}'
parameters:
+ - project-parameter:
+ project: '{project}'
+ - gerrit-parameter:
+ branch: '{branch}'
- 'opnfv-build-defaults'
scm:
diff --git a/utils/jenkins-jnlp-connect.sh b/utils/jenkins-jnlp-connect.sh
index 8337684ec..9751a90de 100755
--- a/utils/jenkins-jnlp-connect.sh
+++ b/utils/jenkins-jnlp-connect.sh
@@ -116,33 +116,33 @@ stop program = \"/bin/bash -c '/bin/kill \$(/bin/cat /var/run/$jenkinsuser/jenki
fi
fi
-if [[ $started_monit == "true" ]]; then
- wget --timestamping https://build.opnfv.org/ci/jnlpJars/slave.jar && true
- chown $jenkinsuser:$jenkinsuser slave.jar
-
- if [[ -f /var/run/$jenkinsuser/jenkins_jnlp_pid ]]; then
- echo "pid file found"
- if ! kill -0 "$(/bin/cat /var/run/$jenkinsuser/jenkins_jnlp_pid)"; then
- echo "no java process running cleaning up pid file"
- rm -f /var/run/$jenkinsuser/jenkins_jnlp_pid;
- else
- echo "java connection process found and running already running quitting."
- exit 1
+ if [[ $started_monit == "true" ]]; then
+ wget --timestamping https://build.opnfv.org/ci/jnlpJars/slave.jar && true
+ chown $jenkinsuser:$jenkinsuser slave.jar
+
+ if [[ -f /var/run/$jenkinsuser/jenkins_jnlp_pid ]]; then
+ echo "pid file found"
+ if ! kill -0 "$(/bin/cat /var/run/$jenkinsuser/jenkins_jnlp_pid)"; then
+ echo "no java process running cleaning up pid file"
+ rm -f /var/run/$jenkinsuser/jenkins_jnlp_pid;
+ else
+ echo "java connection process found and running already running quitting."
+ exit 1
+ fi
fi
- fi
- if [[ $run_in_foreground == true ]]; then
- $connectionstring
+ if [[ $run_in_foreground == true ]]; then
+ $connectionstring
+ else
+ exec $connectionstring &
+ echo $! > /var/run/$jenkinsuser/jenkins_jnlp_pid
+ fi
else
- exec $connectionstring &
- echo $! > /var/run/$jenkinsuser/jenkins_jnlp_pid
+ echo "you are ready to start monit"
+ echo "eg: service monit start"
+ echo "example debug mode if you are having problems: /usr/bin/monit -Ivv -c /etc/monit.conf "
+ exit 0
fi
-else
- echo "you are ready to start monit"
- echo "eg: service monit start"
- echo "example debug mode if you are having problems: /usr/bin/monit -Ivv -c /etc/monit.conf "
- exit 0
-fi
}
usage() {